> ## Documentation Index
> Fetch the complete documentation index at: https://developers.voxys.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create internal channel

> Creates a new internal team channel.



## OpenAPI

````yaml /api-reference/voxys_projects_swagger.json post /api/v1/accounts/{account_id}/internal_channels
openapi: 3.1.0
info:
  title: Voxys Connect – Extended Features
  description: >-
    API documentation for Voxys Connect extended features: Campaigns, WhatsApp
    Templates & Flows, Appointments, Scheduled Messages, Projects, Internal
    Channels, Customer Pulse, and Reports.
  version: 1.0.0
  contact:
    email: support@voxys.ai
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://connect.voxys.ai
security:
  - userApiKey: []
tags:
  - name: Projects
    description: Manage CRM projects and tasks
  - name: Internal Channels
    description: Team communication channels and internal messaging
paths:
  /api/v1/accounts/{account_id}/internal_channels:
    post:
      tags:
        - Internal Channels
      summary: Create internal channel
      description: Creates a new internal team channel.
      operationId: createInternalChannel
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/internal_channel_create'
      responses:
        '201':
          description: Channel created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_channel'
        '401':
          $ref: '#/components/responses/unauthorized'
        '422':
          $ref: '#/components/responses/unprocessable'
components:
  schemas:
    internal_channel_create:
      type: object
      required:
        - name
      properties:
        name:
          type: string
        description:
          type: string
        channel_type:
          type: string
          enum:
            - public
            - private
            - direct
          default: public
        member_ids:
          type: array
          items:
            type: integer
    internal_channel:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        description:
          type: string
        channel_type:
          type: string
          enum:
            - public
            - private
            - direct
        member_ids:
          type: array
          items:
            type: integer
        created_at:
          type: string
          format: date-time
  responses:
    unauthorized:
      description: Authentication failed – invalid or missing api_access_token
    unprocessable:
      description: Unprocessable entity – validation errors
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: string
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        All API requests must include the `api_access_token` header with a valid
        agent or administrator token.

````